﻿-- Addon: Polish-UI (version: 1.01) 2018.02.12
-- Description: AddOn displays translated UI in Polish.
-- Autor: Platine  (e-mail: platine.wow@gmail.com)

-- General Variables
local UiT_version="1.01";
-- fonty z polskimi znakami diakrytycznymi (także innych narodów)
local UiT_Font = "Interface\\AddOns\\Polish_UI\\Fonts\\ipagui.ttf";
local ii = 0;

function UiT_OnEvent()

   local _font1, _size1, _31 = getglobal("GameTooltipTextLeft1"):GetFont();
   local _font2, _size2, _32 = getglobal("GameTooltipTextLeft2"):GetFont();
   getglobal("GameTooltipTextLeft1"):SetFont(UiT_Font, _size1);
   getglobal("GameTooltipTextLeft2"):SetFont(UiT_Font, _size2);
   
-- "Information about your character, including equipment, combat statistics, and reputation."
   CharacterMicroButton.newbieText = "Informacje o twojej postaci, w tym o sprzęcie, statystykach walki i reputacji.";

-- "The array of talents available to enhance and specialize your character."
   TalentMicroButton.newbieText = "Szereg talentów dostępnych do wzmocnienia i specjalizacji swojej postaci.";
-- "This feature becomes available at level 10."  
   TalentMicroButton.disabledTooltip = "Ta funkcja staje się dostępna od poziomu 10.";
  
-- "View information about your achievements and statistics."
   AchievementMicroButton.newbieText = "Wyświetl informacje o swoich osiągnięciach i statystykach.";
-- "This feature becomes available at level 10."  
   AchievementMicroButton.disabledTooltip = "Ta funkcja staje się dostępna od poziomu 10.";
  
-- "A list of all the active quests you currently have. You can have up to 25 active quests at one time."
   QuestLogMicroButton.newbieText = "Lista wszystkich aktywnych zadań, które aktualnie posiadasz. Możesz mieć do 25 aktywnych zadań naraz.";

-- "Allows you to find a guild."
   GuildMicroButton.newbieText = "Pozwala ci znaleźć gildię.";
-- "Starter Edition accounts cannot perform that action"
   GuildMicroButton.disabledTooltip = "Konta w Wersji dla Początkujących nie mogą wykonać tej czynności";
  
-- "A tool to find a group to complete a dungeon."
   LFDMicroButton.newbieText = "Narzędzie do znalezienia grupy, aby razem ukończyć loch.";
-- "This feature becomes available at level 10."
   LFDMicroButton.disabledTooltip = "Ta funkcja staje się dostępna od poziomu 10.";
  
-- "View all the mounts and pets you have. Also allows you to manage your pets' abilities if you are a Pet Trainer."
   CollectionsMicroButton.newbieText = "Zobacz wszystkie wierzchowce i zwierzęta, które masz. Pozwala także zarządzać umiejętnościami zwierząt, jeśli jesteś trenerem zwierząt.";
-- CollectionsMicroButton.disabledTooltip;
  
-- "View information about Cataclysm dungeon and raid bosses, including their abilities and treasure."
   EJMicroButton.newbieText = "Zobacz informacje o lochach i bossach rajdowych Cataclysm, w tym ich zdolnościach i skarbach.";
-- "This feature's not yet available."
   EJMicroButton.disabledTooltip = "Ta funkcja nie jest jeszcze dostępna.";
  
-- "Starter Edition accounts cannot perform that action"
   StoreMicroButton.disabledTooltip = "Konta w Wersji dla Początkujących nie mogą wykonać tej czynności";
  
-- "Game Menu |cffffd200(Escape)|r"
   MainMenuMicroButton.tooltipText = string.gsub(MainMenuMicroButton.tooltipText, "Game Menu", "Menu Gry");
-- "Modify your settings, change your hotkeys or exit the game."
   MainMenuMicroButton.newbieText = "Zmodyfikuj ustawienia, zmień skróty klawiszowe lub wyjdź z gry.";
   
   GameMenuButtonHelp.Text:SetText("Pomoc");
   GameMenuButtonOptions.Text:SetText("Opcje systemowe");
   GameMenuButtonUIOptions.Text:SetText("Ustawienia UI");
   GameMenuButtonKeybindings.Text:SetText("Klawiszologia");
   GameMenuButtonMacros.Text:SetText("Makra");
   GameMenuButtonAddons.Text:SetText("Dodatki");
   GameMenuButtonLogout.Text:SetText("Wyloguj");
   GameMenuButtonQuit.Text:SetText("Wyjście z gry");
   local _font3, _size3, _33 = GameMenuButtonQuit.Text:GetFont();
   GameMenuButtonQuit.Text:SetFont(UiT_Font, _size3);
   GameMenuButtonContinue.Text:SetText("Powrót do gry");
   local _font4, _size4, _34 = GameMenuButtonContinue.Text:GetFont();
   GameMenuButtonContinue.Text:SetFont(UiT_Font, _size4);
   GameMenuButtonStore.Text:SetText("Sklep");
   GameMenuButtonWhatsNew.Text:SetText("Co nowego");
   GameMenuButtonRatings.Text:SetText("Klasyfikacja");

   CharacterFrameTab1Text:SetText("Postać");
   local _font5, _size5, _35 = CharacterFrameTab1Text:GetFont();
   CharacterFrameTab1Text:SetFont(UiT_Font, _size5);
   CharacterFrameTab2Text:SetText("Reputacja");
   CharacterStatsPane.AttributesCategory.Title:SetText("Atrybuty");
   CharacterStatsPane.EnhancementsCategory.Title:SetText("Ulepszenia");
   ReputationFrameFactionLabel:SetText("Frakcja");
   local _font6, _size6, _36 = ReputationFrameFactionLabel:GetFont();
   ReputationFrameFactionLabel:SetFont(UiT_Font, _size6);
   ReputationFrameStandingLabel:SetText("Poziom");
   
end


function UiT_onCharacterMicroButton()    -- "Character Info |cffffd200(C)|r"
  getglobal("GameTooltipTextLeft1"):SetText("Informacje o postaci |cffffd200("..GetBindingText(GetBindingKey("TOGGLECHARACTER0"))..")|r");
  GameTooltip:Show();
end


function UiT_onSpellbookMicroButton()    -- "Spellbook & Abilities |cffffd200(P)|r"
  getglobal("GameTooltipTextLeft1"):SetText("Księga czarów i zdolności |cffffd200("..GetBindingText(GetBindingKey("TOGGLESPELLBOOK"))..")|r");
  GameTooltip:Show();
end


function UiT_onTalentMicroButton()       -- "Specialization & Talents |cffffd200(N)|r"
  getglobal("GameTooltipTextLeft1"):SetText("Specjalizacja i talenty |cffffd200("..GetBindingText(GetBindingKey("TOGGLETALENTS"))..")|r");
  getglobal("GameTooltipTextLeft2"):SetText("Ta funkcja staje się dostępna od poziomu 10.");
  GameTooltip:Show();
end


function UiT_onAchievementMicroButton()  -- "Achievements |cffffd200(Y)|r"
  getglobal("GameTooltipTextLeft1"):SetText("Osiągnięcia |cffffd200("..GetBindingText(GetBindingKey("TOGGLEACHIEVEMENT"))..")|r");
  GameTooltip:Show();
end


function UiT_onQuestLogMicroButton()     -- "Quest Log |cffffd200(L)|r"
  getglobal("GameTooltipTextLeft1"):SetText("Dziennik zadań |cffffd200("..GetBindingText(GetBindingKey("TOGGLEQUESTLOG"))..")|r");
  GameTooltip:Show();
end


function UiT_onGuildMicroButton()        -- "Guild Finder |cffffd200(J)|r"
  local quildName = GetGuildInfo("player");
  if (quildName == nil) then
     getglobal("GameTooltipTextLeft1"):SetText("Wyszukiwanie Gildii |cffffd200("..GetBindingText(GetBindingKey("TOGGLEGUILDTAB"))..")|r");
  else
     getglobal("GameTooltipTextLeft1"):SetText("Gildia |cffffd200("..GetBindingText(GetBindingKey("TOGGLEGUILDTAB"))..")|r");
  end  
  getglobal("GameTooltipTextLeft2"):SetText("Konta w Wersji dla Początkujących nie mogą wykonać tej czynności");
  GameTooltip:Show();
end


function UiT_onLFDMicroButton()          -- "Group Finder |cffffd200(I)|r"
  getglobal("GameTooltipTextLeft1"):SetText("Wyszukiwarka Grup |cffffd200("..GetBindingText(GetBindingKey("TOGGLEGROUPFINDER"))..")|r");
  getglobal("GameTooltipTextLeft2"):SetText("Ta funkcja staje się dostępna od poziomu 10.");
  GameTooltip:Show();
end


function UiT_onCollectionsMicroButton()  -- "Collections"
  getglobal("GameTooltipTextLeft1"):SetText("Kolekcje");
  GameTooltip:Show();
end


function UiT_onEJMicroButton()           -- "Adventure Guide |cffffd200(SHIFT-J)|r"
  getglobal("GameTooltipTextLeft1"):SetText("Przewodnik przygód |cffffd200("..GetBindingText(GetBindingKey("TOGGLEENCOUNTERJOURNAL"))..")|r");
  getglobal("GameTooltipTextLeft2"):SetText("Ta funkcja nie jest jeszcze dostępna.");
  GameTooltip:Show();
end


function UiT_onStoreMicroButton()        -- "Shop"
  getglobal("GameTooltipTextLeft1"):SetText("Sklep");
  getglobal("GameTooltipTextLeft2"):SetText("Konta w Wersji dla Początkujących nie mogą wykonać tej czynności");
  GameTooltip:Show();
end


function UiT_onMainMenuMicroButton()  -- "Game Menu |cffffd200(Escape)|r"
  getglobal("GameTooltipTextLeft1"):SetText("Menu Gry |cffffd200("..GetBindingText(GetBindingKey("TOGGLEEGAMEMENU"))..")|r");
  GameTooltip:Show();
end


local UiT_waitTable = {};
local UiT_waitFrame = nil;
function UiT_wait(delay, func, ...)
  if(type(delay)~="number" or type(func)~="function") then
    return false;
  end
  if(UiT_waitFrame == nil) then
    UiT_waitFrame = CreateFrame("Frame","UiT_WaitFrame", UIParent);
    UiT_waitFrame:SetScript("onUpdate",function (self,elapse)
      local count = #UiT_waitTable;
      local i = 1;
      while(i<=count) do
        local waitRecord = tremove(UiT_waitTable,i);
        local d = tremove(waitRecord,1);
        local f = tremove(waitRecord,1);
        local p = tremove(waitRecord,1);
        if(d>elapse) then
          tinsert(UiT_waitTable,i,{d-elapse,f,p});
          i = i + 1;
        else
          count = count - 1;
          f(unpack(p));
        end
      end
    end);
  end
  tinsert(UiT_waitTable,{delay,func,{...}});
  return true;
end


function UiT_onSpellBookFrame()
  SpellBookFrameTabButton1Text:SetText("Zaklęcia");
  local _font1, _size1, _31 = SpellBookFrameTabButton1Text:GetFont();
  SpellBookFrameTabButton1Text:SetFont(UiT_Font, _size1);
  SpellBookFrameTabButton2Text:SetText("Umiejętności");
  local _font2, _size2, _32 = SpellBookFrameTabButton2Text:GetFont();
  SpellBookFrameTabButton2Text:SetFont(UiT_Font, _size2);
  SpellBookFrameTabButton3Text:SetText("Zwierzak");
  SpellBookFrameTitleText:SetText("Księga czarów i umiejętności");  
  local _font3, _size3, _33 = SpellBookFrameTitleText:GetFont();
  SpellBookFrameTitleText:SetFont(UiT_Font, _size2);
  if (SpellBookProfessionFrame:IsVisible()) then
     if (not UiT_wait(0.5,UiT_Professions)) then
     --- opóźnienie 0.5 sek.
     end
  end
  if (SpellBookSpellIconsFrame:IsVisible()) then
     if (not UiT_wait(0.5,UiT_SpellIcons)) then
     --- opóźnienie 0.5 sek.
     end
  end 
end


function UiT_SpellIcons()
  SpellBookFrameTitleText:SetText("Księga czarów");  
end


function UiT_Professions()
  SpellBookFrameTitleText:SetText("Umiejętności");
end


--function UiT_onTalentFrame()
--  PlayerTalentFrameTab1Text:SetText("Specjalizaja");
--  PlayerTalentFrameTab2Text:SetText("Talenty");
--  PlayerTalentFrameSpecializationLearnButtonText:SetText("Aktywuj");
--  PlayerTalentFrameTitleText:SetText("Specjalizacja i talenty");
--end


UiT = CreateFrame("Frame");
UiT:SetScript("OnEvent", UiT_OnEvent);
UiT:RegisterEvent("PLAYER_ENTERING_WORLD");

CharacterMicroButton:HookScript("OnEnter", UiT_onCharacterMicroButton);
SpellbookMicroButton:HookScript("OnEnter", UiT_onSpellbookMicroButton);
TalentMicroButton:HookScript("OnEnter", UiT_onTalentMicroButton);
AchievementMicroButton:HookScript("OnEnter", UiT_onAchievementMicroButton);
QuestLogMicroButton:HookScript("OnEnter", UiT_onQuestLogMicroButton);
GuildMicroButton:HookScript("OnEnter", UiT_onGuildMicroButton);
LFDMicroButton:HookScript("OnEnter", UiT_onLFDMicroButton);
CollectionsMicroButton:HookScript("OnEnter", UiT_onCollectionsMicroButton);
EJMicroButton:HookScript("OnEnter", UiT_onEJMicroButton);
StoreMicroButton:HookScript("OnEnter", UiT_onStoreMicroButton);
MainMenuMicroButton:HookScript("OnEnter", UiT_onMainMenuMicroButton);

SpellBookFrame:HookScript("OnShow", UiT_onSpellBookFrame);
SpellBookSpellIconsFrame:HookScript("OnShow", UiT_onSpellBookFrame);
SpellBookProfessionFrame:HookScript("OnShow", UiT_onSpellBookFrame);
SpellBookSkillLineTab1:HookScript("OnClick", UiT_onSpellBookFrame);
SpellBookSkillLineTab2:HookScript("OnClick", UiT_onSpellBookFrame);
SpellBookSkillLineTab3:HookScript("OnClick", UiT_onSpellBookFrame);
SpellBookSkillLineTab4:HookScript("OnClick", UiT_onSpellBookFrame);
SpellBookNextPageButton:HookScript("OnClick", UiT_onSpellBookFrame);
SpellBookPrevPageButton:HookScript("OnClick", UiT_onSpellBookFrame);

--PlayerTalentFrame:HookScript("OnShow", UiT_onTalentFrame);
--PlayerTalentFrameTab1:HookScript("OnClick", UiT_onTalentFrame);
--PlayerTalentFrameTab2:HookScript("OnClick", UiT_onTalentFrame);


DEFAULT_CHAT_FRAME:AddMessage("|cffffff00Polish-UI ver. "..UiT_version.." - aktywny");
